Subject: bug#76650: 31.0.50; Add lua-mode to Emacs

From: john muhl <[email-masked]>
Date: Wed, 05 Mar 2025 10:33:20 -0600

Eli Zaretskii <[email-masked]> writes:

>> From: john muhl <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> Date: Wed, 05 Mar 2025 09:06:41 -0600
>> 
>> 
>> > Out of these, only the following don't already have assignments on
>> > file:
>> 
>> Thanks. We’re in even better shape than I thought. A second check
>> of the remainer shows:
>> 
>> Leonardo Etcheverry [email-masked]
>> 13 lines code
>>  6 lines comments
>> 
>> Nikita Bloshchanevich [email-masked]
>> 15 lines code
>>  3 lines comments
>>  3 lines docstrings
>> 
>> edam [email-masked]
>> 12 lines code
>>  6 lines comments
>>  6 lines docstrings
>> 
>>  2 Dmitry Kalinkin [email-masked]
>>  1 Edward Betts [email-masked]
>>  2 Joram Schrijver [email-masked] dccda192
>>  6 Libor Čapák [email-masked]
>>  3 Mario Rodas [email-masked]
>>  2 Peter Vasil [email-masked]
>>  2 Rafael Sanchez [email-masked]
>>  7 Rolando Pereira [email-masked]
>> 11 Thomas Jost [email-masked]
>>  9 paralogismos [email-masked]
>>  6 xristos [email-masked]
>> 
>> > None of these have assignments.
>> 
>> Do we need assignments for any of these?
>
> No, we don't.

Then one last procedural question before I get started on that
initial commit. Do we want to preserve the git history or just
bring it in as if it were new file? If the former should the
commit messages all be cleaned up to conform to Emacs standards?

Anything other requirements or considerations I should keep in
mind while preparing for the import?